Subject: git status --diffstat?

From: Jacek Wielemborek <[email-masked]>
Date: Tue, 23 Jun 2015 21:30:13 +0200

Hi,

I recently realized that I could use a "git status" syntax like this:

On branch master
Your branch is up-to-date with 'origin/master'.
Changes not staged for commit:
  (use "git add <file>..." to update what will be committed)
  (use "git checkout -- <file>..." to discard changes in working directory)

        modified:   macd.py     2 +-
        modified:   macd.wsgi     2 +-
        modified:   macd/admin.py     4 ++++
        modified:   macd/index.html     2 +-
        modified:   macd/models.py     7 +++++--
        modified:   macd/settings.py    27 +++++++++++++++++----------
        modified:   macd/urls.py     6 ++++++
        modified:   macd/views.py    27 +++++++++++++++++++--------

(...)

The idea is to add diffstats to git-status. I cooked up a Python script
to do that [1], but I'd like that to be default behavior on my box.
Someone suggested me to just implement it in C, but I'm not familiar
with the codebase, so it'd take me a while.

What do you think about this? Would anybody else find it useful and
perhaps consider implementing it?

Cheers,
d33tah